Bug 1351190 - [abrt] kwin: KCrash::defaultCrashHandler(int)(): kwin_x11 killed by SIGSEGV
Summary: [abrt] kwin: KCrash::defaultCrashHandler(int)(): kwin_x11 killed by SIGSEGV
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kwin
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1f256cfaa19a24e56401c974a52...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-29 12:20 UTC by Ed Greshko
Modified: 2017-08-08 15:09 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-08 15:09:35 UTC


Attachments (Terms of Use)
File: backtrace (57.12 KB, text/plain)
2016-06-29 12:20 UTC, Ed Greshko
no flags Details
File: cgroup (242 bytes, text/plain)
2016-06-29 12:20 UTC, Ed Greshko
no flags Details
File: core_backtrace (1.07 KB, text/plain)
2016-06-29 12:20 UTC, Ed Greshko
no flags Details
File: dso_list (18.93 KB, text/plain)
2016-06-29 12:20 UTC, Ed Greshko
no flags Details
File: environ (2.75 KB, text/plain)
2016-06-29 12:20 UTC, Ed Greshko
no flags Details
File: limits (1.29 KB, text/plain)
2016-06-29 12:20 UTC, Ed Greshko
no flags Details
File: maps (95.37 KB, text/plain)
2016-06-29 12:21 UTC, Ed Greshko
no flags Details
File: mountinfo (5.20 KB, text/plain)
2016-06-29 12:21 UTC, Ed Greshko
no flags Details
File: namespaces (102 bytes, text/plain)
2016-06-29 12:21 UTC, Ed Greshko
no flags Details
File: open_fds (193 bytes, text/plain)
2016-06-29 12:21 UTC, Ed Greshko
no flags Details
File: proc_pid_status (1.13 KB, text/plain)
2016-06-29 12:21 UTC, Ed Greshko
no flags Details
File: var_log_messages (10.51 KB, text/plain)
2016-06-29 12:21 UTC, Ed Greshko
no flags Details

Description Ed Greshko 2016-06-29 12:20:42 UTC
Description of problem:
Run the VirtualBox Manager.  Go to the menu and pick File--->Preferences.  Make a change and click OK.

Version-Release number of selected component:
kwin-5.6.5-1.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/bin/kwin_x11 --crashes 1
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/kwin_x11
global_pid:     21393
kernel:         4.5.7-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1029

Truncated backtrace:
Thread no. 1 (1 frames)
 #1 KCrash::defaultCrashHandler(int) at /usr/src/debug/kcrash-5.23.0/src/kcrash.cpp:431

Potential duplicate: bug 1290248

Comment 1 Ed Greshko 2016-06-29 12:20:50 UTC
Created attachment 1173861 [details]
File: backtrace

Comment 2 Ed Greshko 2016-06-29 12:20:52 UTC
Created attachment 1173862 [details]
File: cgroup

Comment 3 Ed Greshko 2016-06-29 12:20:53 UTC
Created attachment 1173863 [details]
File: core_backtrace

Comment 4 Ed Greshko 2016-06-29 12:20:55 UTC
Created attachment 1173864 [details]
File: dso_list

Comment 5 Ed Greshko 2016-06-29 12:20:56 UTC
Created attachment 1173865 [details]
File: environ

Comment 6 Ed Greshko 2016-06-29 12:20:58 UTC
Created attachment 1173866 [details]
File: limits

Comment 7 Ed Greshko 2016-06-29 12:21:00 UTC
Created attachment 1173867 [details]
File: maps

Comment 8 Ed Greshko 2016-06-29 12:21:01 UTC
Created attachment 1173868 [details]
File: mountinfo

Comment 9 Ed Greshko 2016-06-29 12:21:03 UTC
Created attachment 1173869 [details]
File: namespaces

Comment 10 Ed Greshko 2016-06-29 12:21:04 UTC
Created attachment 1173870 [details]
File: open_fds

Comment 11 Ed Greshko 2016-06-29 12:21:06 UTC
Created attachment 1173871 [details]
File: proc_pid_status

Comment 12 Ed Greshko 2016-06-29 12:21:07 UTC
Created attachment 1173872 [details]
File: var_log_messages

Comment 13 Marco Coppola 2016-07-26 18:44:37 UTC
Similar problem has been detected:

System clean, just started.

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        kwin_x11
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/kwin_x11
global_pid:     1564
kernel:         4.6.4-301.fc24.x86_64
package:        kwin-5.7.1-3.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         kwin_x11 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Fedora End Of Life 2017-07-25 21:25:01 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-08-08 15:09:35 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.